Package org.eclipse.birt.core.archive

# Class RAOutputStream

java.lang.Object
java.io.OutputStream
org.eclipse.birt.core.archive.RAOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Direct Known Subclasses:
  `ArchiveEntryOutputStream`, `RAFileOutputStream`, `RAFolderOutputStream`

public abstract class RAOutputStream extends OutputStream

## Constructor Summary

Constructors
Constructor
Description
`RAOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`abstract long`
`getOffset()`
`abstract long`
`length()`
`abstract void`
`seek(long localPos)`
`abstract void`
`writeInt(int value)`
`abstract void`
`writeLong(long value)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RAOutputStream

public RAOutputStream()

## Method Details

### seek

public abstract void seek(long localPos) throws IOException

Throws:
  `IOException`

### writeLong

public abstract void writeLong(long value) throws IOException

Throws:
  `IOException`

### writeInt

public abstract void writeInt(int value) throws IOException

Throws:
  `IOException`

### getOffset

public abstract long getOffset() throws IOException

Throws:
  `IOException`

### length

public abstract long length() throws IOException

Throws:
  `IOException`